TFDi Design Icon
TFDi Design
VA APIPirepsDetails

Get PIREP Details

Get details for a specific PIREP

GET
/pireps/details

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id*|

The PIREP ID to get more detailed information from

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/pireps/details?id=0"
{  "flightLog": [    "string"  ],  "flightData": [    {      "eventId": "string",      "eventElapsedTime": 0.1,      "eventTimestamp": "2019-08-24T14:15:22Z",      "eventCondition": "string",      "message": "string"    }  ],  "locationData": [    {      "heading": 0,      "latitude": -90,      "longitude": -180    }  ]}